Type to search.

Get a paginated list of SLOs

Base URL
https://{kibana_url}
Auth

You must have the read privileges for the SLOs feature in the Observability section of the Kibana feature privileges.

Path parameters

spaceId string required

An identifier for the space. If /s/ and the identifier are omitted from the path, the default space is used.

Example: default

Query parameters

kqlQuery string

A valid kql query to filter the SLO with

Example: slo.name:latency* and slo.tags : "prod"
size integer · default: 1

The page size to use for cursor-based pagination, must be greater or equal than 1

searchAfter string[]

The cursor to use for fetching the results from, when using a cursor-base pagination.

page integer · default: 1

The page to use for pagination, must be greater or equal than 1

perPage integer · max: 5000 · default: 25

Number of SLOs returned by page

sortBy enum · default: status

Sort by field

Values: sli_value status error_budget_consumed error_budget_remaining
sortDirection enum · default: asc

Sort order

Values: asc desc
hideStale boolean

Hide stale SLOs from the list as defined by stale SLO threshold in SLO settings

Header parameters

kbn-xsrf string required

Cross-site request forgery protection

Responses

Successful request

application/json
page number
perPage number
searchAfter string
size number

Size provided for cursor based pagination

total number